#include <stdlib.h>
#include <stdio.h>
#include "iup.h"

/*
** ---------------------------------------------------------------
** Local variables and symbols:
*/
static Ihandle *Omain;                /* Main dialog handle */
static Ihandle *Omsgline;             /* Handle to data message text */

/*
** ---------------------------------------------------------------
** Local callback functions:
*/

static int Finish( void *handle )
{
 return( IUP_CLOSE );
}

static int Function1( Ihandle *bt )
{
 IupSetAttribute( Omsgline, IUP_TITLE, " Acao 1 selecionada " );
 return( IUP_DEFAULT );
}

static int Function2( Ihandle *bt )
{
 IupSetAttribute( Omsgline, IUP_TITLE, " Acao 2 selecionada " );
 return( IUP_DEFAULT );
}

static int Function3( Ihandle *bt )
{
 IupSetAttribute( Omsgline, IUP_TITLE, " Acao 3 selecionada " );
 return( IUP_DEFAULT );
}

static int Function4( Ihandle *bt )
{
 IupSetAttribute( Omsgline, IUP_TITLE, " Acao 4 selecionada " );
 return( IUP_DEFAULT );
}

/*
** ---------------------------------------------------------------
** Main driver:
*/

int main( int argc, char *argv[] )
{
 char *msg_error;

 IupOpen( &argc, &argv );

 msg_error = IupLoad( "demo.led" );
 if( msg_error )
 {
  static char msg_alarm[512];
  sprintf( msg_alarm, "\n%s\n", msg_error );
  IupAlarm( "Error in Led file", msg_alarm, " OK ", NULL, NULL );
  IupClose( );
  exit( 1 );
 }

 Omain = IupGetHandle( "main" );
 Omsgline = IupGetHandle( "msgline" );

 IupSetFunction( "Finish",  (Icallback)Finish );
 IupSetFunction( "Action1", (Icallback)Function1 );
 IupSetFunction( "Action2", (Icallback)Function2 );
 IupSetFunction( "Action3", (Icallback)Function3 );
 IupSetFunction( "Action4", (Icallback)Function4 );

 IupShow( Omain );

 IupMainLoop( );

 IupClose( );

 return( 0 );
}

